<!-- *********************************************** -->
<!-- Miguel París Dehesa -->
<!-- TFG - Consulta web de las ediciones de LexDatum -->
<!-- *********************************************** -->

<?php 
	
    class SesionController
    {	
        public function __construct(){}

        public function index(){
            $sesiones=Sesion::all();
            require_once('Views/Sesion/index.php');
        }

        public function getByPonente($nombre_apellido){
            Sesion::getByPonente($nombre_apellido);
            require_once('Views/Sesion/sesionPonente.php');
        }

        public function getByEdicion($id_edicion){
            Sesion::getByEdicion($id_edicion);
            require_once('Views/Sesion/sesionEdicion.php');

        }
     
         public function getByEdicionPonente($id_edicion, $nombre_apellido){
            Sesion::getByEdicionPonente($id_edicion, $nombre_apellido);
            require_once('Views/Sesion/sesionEdicionPonente.php');

        }
   
        public function error(){
                require_once('Views/Sesion/error.php');
        } 
    }


    // Operaciones POST  
    if (isset($_POST['action'])) {
        $sesionController= new SesionController();
        //se añade el archivo sesion.php
        require_once('../Models/sesion.php');
        //se añade el archivo para la conexion
        require_once('../Config/connection.php');
          	
    }

    // Operaciones GET  
    if (isset($_GET['action'])) {
        if ($_GET['action']!='register'&$_GET['action']!='index') {
                require_once('../Config/connection.php');                          
                $sesionController=new SesionController();

                if ($_GET['action']=='getByPonente') {
                        require_once('../Models/sesion.php');				
                        $sesionesPonente=Sesion::getByPonente($_GET['nombre_apellido']);		
                        require_once('../Views/Sesion/sesionPonente.php');
                }

                if ($_GET['action']=='getByEdicion') {
                        require_once('../Models/sesion.php');				
                        $sesionesPonente=Sesion::getByEdicion($_GET['id_edicion']);		
                        require_once('../Views/Sesion/sesionEdicion.php');
                }
                
                if ($_GET['action']=='getByEdicionPonente') {
                        require_once('../Models/sesion.php');				
                        $sesionesEdicionesPonente=Sesion::getByEdicionPonente($_GET['id_edicion'], $_GET['nombre_apellido']);		
                        require_once('../Views/Sesion/sesionEdicionPonente.php');
                }
        }	
    }
?>