<!-- *********************************************** -->
<!-- Miguel París Dehesa -->
<!-- TFG - Consulta web de las ediciones de LexDatum -->
<!-- *********************************************** -->

<?php

    /**
     * Función que llama al controlador y su acción
     * @param type $controller
     * @param type $action
     */
    function call($controller, $action){
            //importa el controlador
            require_once('Controllers/' . $controller . '_controller.php');
            //crea el controlador
            switch($controller){
                    case 'ponente':
                            require_once('Models/ponente.php');
                            $controller= new PonenteController();
                            break; 
                    case 'material':
                            require_once('Models/material.php');
                            $controller= new MaterialController();
                            break; 
                    case 'edicion':
                            require_once('Models/edicion.php');
                            $controller= new EdicionController();
                            break;   
                    case 'sesion':
                            require_once('Models/sesion.php');
                            $controller= new SesionController();
                            break; 
            }
            //llama a la acción del controlador
            $controller->{$action }();
    }

    //array de controladores y acciones
    $controllers= array('ponente'=>['index','getByEdicion', 'getByEdicionSesion'],'material'=>['index','getByPonente',
        'getByEdicion','getByEdicionSesion', 'getByEdicionPonente'], 'edicion'=>['index'], 'sesion'=>['index',
            'getByPonente','getByEdicion', 'getByEdicionPonente']);

    //comprobamos el controlador
    if (array_key_exists($controller, $controllers)) {
            //comprobamos que existe
            if (in_array($action, $controllers[$controller])) {
                    //llamamos al controlador con su acción
                    call($controller, $action);
            }else{
                    call('usuario', 'error');
            }
    }else{
            call('usuario', 'error');
    }
?>