<!-- *********************************************** -->
<!-- Miguel París Dehesa -->
<!-- TFG - Consulta web de las ediciones de LexDatum -->
<!-- *********************************************** -->

<?php 
	
    class MaterialController
    {	
        public function __construct(){}

  
        public function index(){
            $materiales=Material::all();
            require_once('Views/Material/index.php');
        }

        public function getByPonente($nombre_apellido){
            Material::getByPonente($nombre_apellido);
            require_once('Views/Material/materialPonente.php');
        }

     
        public function getByEdicion($id_edicion){
            Material::getByEdicion($id_edicion);
            require_once('Views/Material/materialEdicion.php');
        }
        
  
        public function getByEdicionSesion($id_edicion, $id_sesion){
            Material::getByEdicionSesion($id_edicion, $id_sesion);
            require_once('Views/Material/materialSesion.php');
        }
        

        public function getByEdicionPonente($id_edicion, $nombre_apellido){
            Material::getByEdicionSesion($id_edicion, $nombre_apellido);
            require_once('Views/Material/materialEdicionSesion.php');
        }

        public function error(){
                require_once('Views/Material/error.php');
        } 
    }


    // Operaciones POST  
    if (isset($_POST['action'])) {
        $materialController= new MaterialController();
        //se añade el archivo material.php
        require_once('../Models/material.php');
        //se añade el archivo para la conexion
        require_once('../Config/connection.php');

    }

    // Operaciones GET  
    if (isset($_GET['action'])) {
        if ($_GET['action']!='register'&$_GET['action']!='index') {
                require_once('../Config/connection.php');                       
                $materialController=new MaterialController();

                if ($_GET['action']=='getByPonente') {
                        require_once('../Models/material.php');				
                        $materialesPonente=Material::getByPonente($_GET['nombre_apellido']);		
                        require_once('../Views/Material/materialPonente.php');
                }	

                if ($_GET['action']=='getByEdicion') {
                        require_once('../Models/material.php');				
                        $materialesEdicion=Material::getByEdicion($_GET['id_edicion']);	                                
                        require_once('../Views/Material/materialEdicion.php');
                }
                
                if ($_GET['action']=='getByEdicionSesion') {
                        require_once('../Models/material.php');				
                        $materialesEdicionSesion=Material::getByEdicionSesion($_GET['id_edicion'],$_GET['id_sesion']);	                                
                        require_once('../Views/Material/materialSesion.php');
                }
                
                if ($_GET['action']=='getByEdicionPonente') {
                        require_once('../Models/material.php');				
                        $materialesEdicionPonente=Material::getByEdicionPonente($_GET['id_edicion'],$_GET['nombre_apellido']);	                                
                        require_once('../Views/Material/materialEdicionPonente.php');
                }
        }	
    }
?>