<!-- *********************************************** -->
<!-- Miguel París Dehesa -->
<!-- TFG - Consulta web de las ediciones de LexDatum -->
<!-- *********************************************** -->

<?php

class Edicion
{
	//atributos
	public $id_edicion;
        public $ano;
	public $tema;
        public $lugar;
        public $triptico;
	public $web;


	/**
         * 
         * Constructor
         * 
         * @param type $id_edicion
         * @param type $ano
         * @param type $tema
         * @param type $lugar
         * @param type $triptico
         * @param type $web
         */
	function __construct($id_edicion, $ano, $tema,$lugar, $triptico, $web )
	{
		$this->id_edicion=$id_edicion;
		$this->ano=$ano;
                $this->tema=$tema;
                $this->lugar=$lugar;
		$this->triptico=$triptico;
                $this->web=$web;

	}

        /**
         * 
         * Función que obtiene todas las ediciones
         * 
         * @return \Edicion
         */
	public static function all(){
		$listaEdiciones =[];
		$db=Db::getConnect();
		$sql=$db->query('SELECT * FROM edicion');

		// carga en la $listaEdiciones cada registro desde la base de datos
		foreach ($sql->fetchAll() as $edicion) {
			$listaEdiciones[]= new Edicion($edicion['id_edicion'],$edicion['ano'],
                                $edicion['tema'],$edicion['lugar'],$edicion['triptico'],$edicion['web']);
		}
		return $listaEdiciones;
	}
	
}
?>